<script setup>
import Dropdown from '../../components/Dropdown.vue'
import { useThemeStore } from "../../stores/theme";

const themeStore = useThemeStore();

</script>

<template>
  <div class="flex justify-center">
    <button @click="themeStore.dark = !themeStore.dark" id="theme-toggle" type="button" :class="themeStore.dark ? 'text-gray-400 hover:bg-gray-700 focus:ring-gray-700' : 'text-gray-500 hover:bg-gray-100'" class="focus:outline-none rounded-lg text-sm p-2.5">
      <svg id="theme-toggle-dark-icon" :class="themeStore.dark ? 'hidden' : ''" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M17.293 13.293A8 8 0 016.707 2.707a8.001 8.001 0 1010.586 10.586z"></path></svg>
      <svg id="theme-toggle-light-icon" :class="themeStore.dark ? '' : 'hidden'" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M10 2a1 1 0 011 1v1a1 1 0 11-2 0V3a1 1 0 011-1zm4 8a4 4 0 11-8 0 4 4 0 018 0zm-.464 4.95l.707.707a1 1 0 001.414-1.414l-.707-.707a1 1 0 00-1.414 1.414zm2.12-10.607a1 1 0 010 1.414l-.706.707a1 1 0 11-1.414-1.414l.707-.707a1 1 0 011.414 0zM17 11a1 1 0 100-2h-1a1 1 0 100 2h1zm-7 4a1 1 0 011 1v1a1 1 0 11-2 0v-1a1 1 0 011-1zM5.05 6.464A1 1 0 106.465 5.05l-.708-.707a1 1 0 00-1.414 1.414l.707.707zm1.414 8.486l-.707.707a1 1 0 01-1.414-1.414l.707-.707a1 1 0 011.414 1.414zM4 11a1 1 0 100-2H3a1 1 0 000 2h1z" fill-rule="evenodd" clip-rule="evenodd"></path></svg>
    </button>

    <button @click="themeStore.leftHanded = !themeStore.leftHanded" id="theme-toggle" type="button" :class="themeStore.dark ? 'text-gray-400 hover:bg-gray-700 focus:ring-gray-700' : 'text-gray-500 hover:bg-gray-100', themeStore.leftHanded ? '-scale-x-100' : ''" class="focus:outline-none rounded-lg text-sm p-2.5">
      <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 11.5V14m0-2.5v-6a1.5 1.5 0 113 0m-3 6a1.5 1.5 0 00-3 0v2a7.5 7.5 0 0015 0v-5a1.5 1.5 0 00-3 0m-6-3V11m0-5.5v-1a1.5 1.5 0 013 0v1m0 0V11m0-5.5a1.5 1.5 0 013 0v3m0 0V11"></path></svg>
    </button>
  </div>
</template>